- [HTTP request](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/list#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/list#body.request_body)
- [Response body](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/list#body.response_body)
  - [JSON representation](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/list#body.ListRuntimesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/list#body.aspect)
- [Try it!](https://developers.google.com/colab/api/reference/rest/v1beta/runtimes/list#try-it)

Lists Colab runtimes assigned to the requesting user.

### HTTP request

`GET https://colaboratory.googleapis.com/v1beta/runtimes`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body must be empty.

### Response body

Response message for `runtimes.list`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "runtimes": [ { object (`https://developers.google.com/colab/api/reference/rest/v1beta/runtimes#Runtime`) } ] } ``` |

| Fields ||
|---|---|
| `runtimes[]` | ``object (`https://developers.google.com/colab/api/reference/rest/v1beta/runtimes#Runtime`)`` The list of runtimes assigned to the requesting user. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/colaboratory`
- `
  https://www.googleapis.com/auth/colaboratory.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).